From: Eugeniy Meshcheryakov <eugen@debian.org>
Subject: Fix order of arguments in message_hook/3.
Forwarded: not-needed
--- a/simplifier/defectreporting.pro
+++ b/simplifier/defectreporting.pro
@@ -57,7 +57,7 @@
 %===============================================================================
 
 % Report errors and warnings, and count these as defects.
-message_hook(Severity, _Message, Lines):-
+message_hook(_Message, Severity, Lines):-
     member(Severity,[error, warning]),
     increase_defect_counter,
 
@@ -68,7 +68,7 @@
 
 % Report all other messages, but do not separate these with blank lines nor
 % count these as defects.
-message_hook(Severity, _Message, Lines):-
+message_hook(_Message, Severity, Lines):-
     !.
 
 %-------------------------------------------------------------------------------
